import React, { useContext } from 'react';
export var SelectableContext = /*#__PURE__*/React.createContext({});
export var useSelectableContext = function useSelectableContext() {
  var context = useContext(SelectableContext);
  if (!context) {
    throw new Error('Please put the selectable items in Selectable');
  }
  return context;
};