import { Rule } from '../context';
interface UseSelectableProps<T> {
    value: T;
    disabled?: boolean;
    rule?: Rule;
}
export default function useSelectable<T>({ value, disabled, rule, }: UseSelectableProps<T>): {
    setNodeRef: (ref: HTMLElement | null) => void;
    isSelecting: boolean;
    isRemoving: boolean;
    isSelected: boolean;
    isAdding: boolean;
    isDragging: boolean;
};
export {};
