var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/useContainer.ts
var useContainer_exports = {};
__export(useContainer_exports, {
  default: () => useContainer,
  getPortalContainer: () => getPortalContainer
});
module.exports = __toCommonJS(useContainer_exports);
var import_react = require("react");
var defaultGetContainer = () => document.body;
var getPortalContainer = (getContainer = defaultGetContainer) => {
  if (typeof window !== "undefined") {
    return getContainer();
  }
  return null;
};
function useContainer(getContainer) {
  const [container, setContainer] = (0, import_react.useState)(() => getPortalContainer(getContainer));
  (0, import_react.useEffect)(() => {
    setContainer(getPortalContainer(getContainer));
  });
  return container;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getPortalContainer
});
