var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/useEvent.ts
var useEvent_exports = {};
__export(useEvent_exports, {
  default: () => useEvent
});
module.exports = __toCommonJS(useEvent_exports);
var import_react = require("react");
function useEvent(callback) {
  const fnRef = (0, import_react.useRef)(callback);
  fnRef.current = callback;
  const memoFn = (0, import_react.useCallback)((...args) => {
    var _a;
    return (_a = fnRef.current) == null ? void 0 : _a.call(fnRef, ...args);
  }, []);
  return memoFn;
}
