var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/useMergedState.ts
var useMergedState_exports = {};
__export(useMergedState_exports, {
  default: () => useMergedState
});
module.exports = __toCommonJS(useMergedState_exports);
var import_react = require("react");
var import_useEvent = __toESM(require("./useEvent"));
var import_useLayoutUpdateEffect = __toESM(require("./useLayoutUpdateEffect"));
function useMergedState(defaultStateValue, option) {
  const { value } = option;
  const [innerValue, setInnerValue] = (0, import_react.useState)(() => {
    if (value !== void 0) {
      return value;
    } else {
      return defaultStateValue;
    }
  });
  const mergedValue = value !== void 0 ? value : innerValue;
  (0, import_useLayoutUpdateEffect.default)(() => {
    if (value === void 0) {
      setInnerValue(value);
    }
  }, [value]);
  const triggerChange = (0, import_useEvent.default)((updater) => {
    setInnerValue(updater);
  });
  return [mergedValue, triggerChange];
}
